<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id']; $art_id;}
if (isset($_POST['art_referencia'])){  $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){  $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if (isset($_POST['iva'])){ $iva=$_POST['iva'];}
if (isset($_POST['fecha_vencimiento'])){ $fecha_vencimiento=$_POST['fecha_vencimiento'];}
if (isset($_POST['flete'])){  $flete=$_POST['flete'];}
if (isset($_POST['atributo_estado'])){ $atributo_estado=$_POST['atributo_estado'];}
if (isset($_POST['atributo1'])){$atributo1=0;}
if (isset($_POST['atributo2'])){ $atributo2=0;}
if (isset($_POST['lote'])){ $lote=$_POST['lote'];}


if (!empty($cantidad))
{
    if ($atributo_estado=='si')
    {    
        $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
        $atri11 = mysqli_fetch_array($atri11);
        if (isset($atri11['atri_nombre'])) { $atri_nombre= $atri11['atri_nombre']; } else { $atri_nombre='';}

        $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
        $atri2 = mysqli_fetch_array($atri2);
        if (isset($atri2['atri_nombre2'])) { $atri_nombre2=' - '.$atri2['atri_nombre2']; } else { $atri_nombre2='';}

            $atributos=$atri_nombre .$atri_nombre2;
    }
    else
    {
        $atributos='';
    }

    $sqll=mysqli_query($con,"SELECT comt_art_id FROM compra_detalle_temp WHERE comt_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa' and usuario='$usu_id' and lote='$lote'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM compra_detalle_temp WHERE comt_art_id='$art_id' and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa' and usuario='$usu_id' and lote='$lote'") or die(mysqli_error($con));  
        while($dato=mysqli_fetch_array($can7))
        {
            $r=$dato['comt_art_id'];            
            $c=$dato['comt_cantidad'];
            $suma=$cantidad+$c;
        }
        $registros=mysqli_query($con,"UPDATE compra_detalle_temp Set comt_cantidad='$suma',comt_precio='$precio_venta' Where comt_art_id='$art_id'  and atributo1='$atributo1' and atributo2='$atributo2' and empresa='$empresa' and usuario='$usu_id' and lote='$lote'") or die(mysqli_error($con));

        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Agregdao!</strong>  correctamente.
        </div>';
    }
    else
    {  
        $insert_tmp=mysqli_query($con, "INSERT INTO compra_detalle_temp (comt_art_id,comt_referencia,comt_cantidad,comt_nombre,comt_precio,comt_iva,comt_desc_desp_iva,comt_flete,fecha_vencimiento,atributo1,atributo2,lote,usuario,empresa) 
        VALUES ('$art_id','$art_referencia','$cantidad','$nombre $atributos','$precio_venta','$iva','0','$flete','$fecha_vencimiento','$atributo1','$atributo2','$lote','$usu_id','$empresa')");

        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Agregdao!</strong>  correctamente.
        </div>';

    }
}
?>
